[blfs-support] Problems Compiling Gimp, Gegl and Babl

Alan Feuerbacher alanf00 at comcast.net
Sat Nov 16 07:23:25 PST 2013


On 11/16/2013 8:36 AM, Fernando de Oliveira wrote:
> Em 16-11-2013 08:51, Alan Feuerbacher escreveu:
>> ...
>
> I have just installed it without problem. Perhaps, if you can install
> gegl without modifications, and remove the links you added that are not
> in the book would solve it. I would try fixing gegl's build and install,
> first.

I tried all those things. The links that I added were added AFTER 
building babl and gegl, and only to satisfy gimp's complaints.

>> ...
>> In both cases make failed with:
>> ...
>> make[3]: *** [api.html] Error 1
>> ...
>
> It is related to ruby.

Yes, I read that in some of the FreeBSD-related comments online.

> Are you using all switches in configure as in the book, or adding
> --enable-gtk-doc? Try without it.

I tried all combinations, but never with --enable-gtk-doc .

> I found a post by ĸen about this problem, perhaps it will help you:
>
> http://permalink.gmane.org/gmane.linux.lfs.beyond.support/44766
>
> " Have you installed ruby ?  Google has reports of that error message
> with things using ruby.  Perhaps fixable by ensuring LANG and LC_ALL
> are both set to en_US.UTF-8 in the environment..."

I found that post and tried setting those variables. No luck.

> Anyway, ĸen knows much more about gelgl, babl and gimp.

Ok.

Alan




More information about the blfs-support mailing list